Subject: Re: [v5] powerpc: gpio driver for mpc8349/8572/8610 and compatible

From: Anton Vorontsov <[email-masked]>
Date: Thu, 30 Oct 2008 21:04:36 +0300

On Wed, Oct 29, 2008 at 06:07:47PM -0700, Trent Piepho wrote:
[...]
> But, I'm using the GPIOs to bit-bang a JTAG bus in the 20-30 MHz range.  The
> obvious GPIO driver is *much* too slow for that.  I got less than 3 MHz, and
> your driver looks like it might be slightly slower than my initial driver.

You can implement rapid (inlined) SOC-specific versions of
gpio_{get,set}_value() functions. And they can co-exist with the
gpiolib. It is quite easy to do.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2